@font-face {
  font-family: "Roboto-Thin";
  src: url("Roboto-Thin.ttf") format("truetype");
}

@font-face {
  font-family: "Roboto-Light";
  src: url("Roboto-Light.ttf") format("truetype");
}

@font-face {
  font-family: "Roboto-Medium";
  src: url("Roboto-Medium.ttf") format("truetype");
}

* {
  margin: 0;
  color: white;
  font-family: "Roboto-Thin";
}

#main {
  height: 100vh;
  width: 100vw;
}

div {
  display: flex;
}

ul {
  margin-top: 1em;
}

.app {
  flex-direction: column;
  background-color: #0077c8;
  height: 100vh;
  width: 100vw;
}

.producer {
  background-color: cornflowerblue;
  width: 100vw;
  height: 50vh;
  flex: 1;
  flex-direction: column;
}

.consumers {
  background-color: cornflowerblue;
  width: 100vw;
  height: 50vh;
  flex-direction: row;
  flex: 1;
}

.group {
  flex: 1;
  padding: 0 1em 1em 1em;
  margin: 0.5em;
  flex-direction: column;
  background-color: lightsalmon;
}

.group + .group {
  margin-left: 0;
}

.group > .caption {
  justify-content: center;
  background-color: lightsalmon;
  color: rebeccapurple;
  margin-bottom: 0.1em;
  font-weight: bold;
  font-size: large;
}

.clients {
  flex: 1;
  flex-direction: row;
}

.client {
  background-color: palevioletred;
  border: 1px solid;
  flex-direction: column;
  flex: 1;
}

.client + .client {
  border-left: 0;
}

.button {
  background-color: rebeccapurple;
  margin: 1vw auto 0 auto;
  width: 12vw;
  height: 3vw;
  text-align: center;
  outline: none;
}

.disabled {
  display: none;
}

.caption {
  background-color: rebeccapurple;
  color: white;
  padding: 0.1em 0 0.1em 0.2em;
}
